package com.couplet.analyze.msg;

import com.couplet.analyze.msg.model.ModelsKafkaMessage;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 * @author DongXiaoDong
 * @version 1.0
 * @date 2024/4/2 8:39
 * @description
 */
@SpringBootApplication(scanBasePackages = "com.couplet")
@EnableScheduling
@EnableFeignClients(basePackages = "com.couplet")
public class CoupletMsgApplication {


    public static void main(String[] args) {
        SpringApplication.run(CoupletMsgApplication.class);
        System.out.println("解析系统启动成功");
//        new ModelsKafkaMessage().initKafkaConsumer();
    }


}
